> ## Documentation Index
> Fetch the complete documentation index at: https://productlane.mintlify.site/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List workflows

> List Linear workflow states for a team. Requires Linear to be connected and the issues:read scope.



## OpenAPI

````yaml get /issues/workflow-states
openapi: 3.0.3
info:
  title: Productlane API
  description: Productlane API v2.
  version: 2.0.0
servers:
  - url: https://productlane.com/api/v2
security: []
paths:
  /issues/workflow-states:
    get:
      tags:
        - issues
      summary: List workflows
      description: >-
        List Linear workflow states for a team. Requires Linear to be connected
        and the issues:read scope.
      operationId: issues-listWorkflowStates
      parameters:
        - name: team_id
          in: query
          required: true
          schema:
            type: string
            minLength: 1
          description: Linear team id. Workflow states are scoped per team.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        type:
                          type: string
                        color:
                          type: string
                      required:
                        - id
                        - name
                        - type
                        - color
                      additionalProperties: false
                required:
                  - data
                additionalProperties: false
        default:
          $ref: '#/components/responses/error'
      security:
        - Authorization: []
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````